# Staged Quotes

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-sphere:returnTypesList` field and a schema request returns a `ctp:gql-sphere:schema:<key>` field.

**Queries and mutations for managing Staged Quotes in the platform.**

## Queries

### Query Staged Quotes

[fetch SDL for query stagedQuotes](#graphql-partial-sdls).

### Get Staged Quote

[fetch SDL for query stagedQuote](#graphql-partial-sdls).

## Mutations

### Create Staged Quote

[fetch SDL for mutation createStagedQuote](#graphql-partial-sdls).

### Update Staged Quote

[fetch SDL for mutation updateStagedQuote](#graphql-partial-sdls).

### Delete Staged Quote

[fetch SDL for mutation deleteStagedQuote](#graphql-partial-sdls).

## Output types

### StagedQuote

[fetch SDL for type StagedQuote](#graphql-partial-sdls).

### StagedQuoteQueryResult

[fetch SDL for type StagedQuoteQueryResult](#graphql-partial-sdls).

## Input types

### StagedQuoteDraft

[fetch SDL for type StagedQuoteDraft](#graphql-partial-sdls).

### StagedQuoteUpdateAction

[fetch SDL for type StagedQuoteUpdateAction](#graphql-partial-sdls).

### Update actions

#### Change Staged Quote State

[fetch SDL for type ChangeStagedQuoteState](#graphql-partial-sdls).

#### Set Seller Comment

[fetch SDL for type SetStagedQuoteSellerComment](#graphql-partial-sdls).

#### Set Custom Field

[fetch SDL for type SetStagedQuoteCustomField](#graphql-partial-sdls).

#### Set Custom Type

[fetch SDL for type SetStagedQuoteCustomType](#graphql-partial-sdls).

#### Set Valid To

[fetch SDL for type SetStagedQuoteValidTo](#graphql-partial-sdls).

#### Transition State

[fetch SDL for type TransitionStagedQuoteState](#graphql-partial-sdls).

## Related pages

- [Search documentation and API specs](/search.md)